using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using BLWWS_BLL;
using Quartz;

namespace BLWWS_BLL.Job
{
    public class HttpJob : IJob
    {
        public void Execute(IJobExecutionContext context)
        {
            try
            {
                var mmm = context.JobDetail.JobDataMap;
                var nnn = mmm.GetString("JobData");

                //string str = Tools.PostWebRequest(nnn, "");//调用人脸机接口
                //LogHelper.WriteLog("后台人脸机的结果：" + str);
                LogHelper.WriteLog("执行任务"+nnn);
            }
            catch (Exception ex)
            {
                //LogHelper.WriteLog("后台人脸机异常：" + ex.Message);
                LogHelper.WriteLog("后台异常：" + ex.Message);
            }
        }

        Task IJob.Execute(IJobExecutionContext context)
        {
            throw new NotImplementedException();
        }
    }
}